#ifndef __METHODS_H__
#define __METHODS_H__

typedef int (*f_ptr)(double t, double *y, double *dy, void *params);

int Euler(double t0, double t1, double dt, double *y0, double *y1, int N,
    f_ptr f, void *params);
int RungeKutta2(double t0, double t1, double dt, double *y0, double *y1, int N,
    f_ptr f, void *params);

int RungeKutta4(double t0, double t1, double dt, double *y0, double *y1, int N,
    f_ptr f, void *params);

#endif // __METHODS_H__
